///////////////////////////////////////////////////////////
//  Centered.h
//  Implementation of the Interface Centered
//  Created on:      15-Mar-2012 09:39:14
///////////////////////////////////////////////////////////

#if !defined(EA_F97517F7_A726_4135_A6E4_C6CF9D20000F__INCLUDED_)
#define EA_F97517F7_A726_4135_A6E4_C6CF9D20000F__INCLUDED_

#include "GeodeticPosition.h"

#include <string>
#include <memory>
#include <vector>
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace geometry
			{
				class Centered
				{

				public:
					/**
					 * @return The Center of the Geometry.
					 */
					virtual std::auto_ptr<org::omg::tacsit::geometry::GeodeticPosition> getCenter() =0;

				};

			}

		}

	}

}
#else
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace geometry
			{
				class Centered;
			}
		}
	}
}
#endif // !defined(EA_F97517F7_A726_4135_A6E4_C6CF9D20000F__INCLUDED_)
