///////////////////////////////////////////////////////////
//  ContainmentQuery.h
//  Implementation of the Interface ContainmentQuery
//  Created on:      15-Mar-2012 09:39:15
///////////////////////////////////////////////////////////

#if !defined(EA_CBF7E383_7A3D_44b2_A3A2_3EFD639DD89C__INCLUDED_)
#define EA_CBF7E383_7A3D_44b2_A3A2_3EFD639DD89C__INCLUDED_

#include "GeometryQuery.h"

#include <string>
#include <memory>
#include <vector>
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				/**
				 * The ContainmentQuery is used to determine whether or not an Entity is
				 * completely contained within a Geometry. Containment is determined by
				 * checking whether or not an entitys reference point (GeodeticPosition) is
				 * contained within a specific Geometry, i.e. this.satisfies(entity) = this.
				 * getGeometry().contains(entity.getReferencePoint()).
				 */
				class ContainmentQuery : public org::omg::tacsit::query::GeometryQuery
				{

				};

			}

		}

	}

}
#else
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				class ContainmentQuery;
			}
		}
	}
}
#endif // !defined(EA_CBF7E383_7A3D_44b2_A3A2_3EFD639DD89C__INCLUDED_)
