///////////////////////////////////////////////////////////
//  EntityTypeQuery.h
//  Implementation of the Interface EntityTypeQuery
//  Created on:      15-Mar-2012 09:39:16
///////////////////////////////////////////////////////////

#if !defined(EA_23016E92_4368_4531_BC68_5E64A0C3BA35__INCLUDED_)
#define EA_23016E92_4368_4531_BC68_5E64A0C3BA35__INCLUDED_

#include "EntityType.h"
#include "EntityQuery.h"

#include <string>
#include <memory>
#include <vector>
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				/**
				 * The EntityTypeQuery is used to determine whether or not a given Entity
				 * belongs to a particular EntityType.
				 */
				class EntityTypeQuery : public org::omg::tacsit::query::EntityQuery
				{

				public:
					/**
					 * The EntityType to compare with
					 * 
					 * @return 
					 */
					virtual std::vector<std::auto_ptr<org::omg::tacsit::controller::EntityType>> getEntityTypes() =0;

				};

			}

		}

	}

}
#else
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				class EntityTypeQuery;
			}
		}
	}
}
#endif // !defined(EA_23016E92_4368_4531_BC68_5E64A0C3BA35__INCLUDED_)
