///////////////////////////////////////////////////////////
//  Circle.h
//  Implementation of the Interface Circle
//  Created on:      15-Mar-2012 09:39:15
///////////////////////////////////////////////////////////

#if !defined(EA_2C1A510B_BB38_4e4c_A7E9_417AB1F57D99__INCLUDED_)
#define EA_2C1A510B_BB38_4e4c_A7E9_417AB1F57D99__INCLUDED_

#include "Distance.h"
#include "Centered.h"
#include "Geometry.h"

#include <string>
#include <memory>
#include <vector>
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace geometry
			{
				class Circle : public org::omg::tacsit::geometry::Centered, public org::omg::tacsit::geometry::Geometry
				{

				public:
					/**
					 * @return radius in meters
					 */
					virtual std::auto_ptr<org::omg::tacsit::geometry::Distance> getRadius() =0;

				};

			}

		}

	}

}
#else
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace geometry
			{
				class Circle;
			}
		}
	}
}
#endif // !defined(EA_2C1A510B_BB38_4e4c_A7E9_417AB1F57D99__INCLUDED_)
