///////////////////////////////////////////////////////////
//  EntityQuery.h
//  Implementation of the Interface EntityQuery
//  Created on:      15-Mar-2012 09:39:15
///////////////////////////////////////////////////////////

#if !defined(EA_CD953363_8BA5_4c6d_AD65_91ED69686B2D__INCLUDED_)
#define EA_CD953363_8BA5_4c6d_AD65_91ED69686B2D__INCLUDED_

#include "Entity.h"

#include <string>
#include <memory>
#include <vector>
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				/**
				 * An EntityQuery encapsulates the criteria against which an Entity may be
				 * evaluated for membership.
				 */
				class EntityQuery
				{

				public:
					/**
					 * Returns true if the specified Entity satisfies the criteria represented
					 * by this EntityQuery; false otherwise.
					 * 
					 * @return 
					 */
					virtual bool satifies(std::auto_ptr<org::omg::tacsit::controller::Entity> entity) =0;

				};

			}

		}

	}

}
#else
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				class EntityQuery;
			}
		}
	}
}
#endif // !defined(EA_CD953363_8BA5_4c6d_AD65_91ED69686B2D__INCLUDED_)
