///////////////////////////////////////////////////////////
//  IntersectionQuery.h
//  Implementation of the Interface IntersectionQuery
//  Created on:      15-Mar-2012 09:39:16
///////////////////////////////////////////////////////////

#if !defined(EA_9A38046B_E847_4081_AEC1_95B8D689249D__INCLUDED_)
#define EA_9A38046B_E847_4081_AEC1_95B8D689249D__INCLUDED_

#include "GeometryQuery.h"

#include <string>
#include <memory>
#include <vector>
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				/**
				 * The IntersectionQuery is used to determine if an Entity intersects
				 * geometrically with a Geometry. Intersection is determined by checking
				 * whether or not one entity partially overlaps another entity.
				 */
				class IntersectionQuery : public org::omg::tacsit::query::GeometryQuery
				{

				};

			}

		}

	}

}
#else
namespace org
{
	namespace omg
	{
		namespace tacsit
		{
			namespace query
			{
				class IntersectionQuery;
			}
		}
	}
}
#endif // !defined(EA_9A38046B_E847_4081_AEC1_95B8D689249D__INCLUDED_)
